- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Protected Attributes

# AttributeVector4box Class Reference

Search for all occurrences

## Detailed Description

A widget used to display and alter the value for a four dimensional vector attribute.

Definition at line 118 of file widgets.h.

`#include <widgets.h>`

Inheritance diagram for AttributeVector4box:
[legend]

List of all members.

## Public Slots
void | OnChange (void)
## Public Member Functions
| AttributeVector4box (QWidget *pParent, int iWidth, avector4 *pAttribute)
## Protected Member Functions
void | Update (void)
## Protected Attributes
QLineEdit | m_cXBox
QLineEdit | m_cYBox
QLineEdit | m_cZBox
QLineEdit | m_cWBox

## Constructor & Destructor Documentation

AttributeVector4box | ( | QWidget * | pParent,
|  | int | iWidth,
|  | avector4 * | pAttribute
| ) |  |

## Member Function Documentation

void Update | ( | void |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from AttributeWidget.

void OnChange | ( | void |  | ) | `[slot]`

Search for all occurrences

## Member Data Documentation

QLineEdit m_cXBox `[protected]`

Search for all occurrences

Definition at line 124 of file widgets.h.

QLineEdit m_cYBox `[protected]`

Search for all occurrences

Definition at line 124 of file widgets.h.

QLineEdit m_cZBox `[protected]`

Search for all occurrences

Definition at line 124 of file widgets.h.

QLineEdit m_cWBox `[protected]`

Search for all occurrences

Definition at line 124 of file widgets.h.

The documentation for this class was generated from the following file:

- Mudbox/widgets.h

AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box
AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box AttributeVector4box